<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@autor			pedro.garcia
@description 	página principal de los CU de administración de detalles del avalúo
@cu             CU-SA-AC-075
@cu             CU-SA-AC-126
@cu             CU-SA-AC-127
@cu             CU-SA-AC-130

@mb             AdministracionDetallesAvaluoMB
@version 		2.0

-->
<!--
OJO:
1. las páginas con las tablas que listan los diferentes tipos de detalles deben tener un
    panelGrid inicial con id="detallesAvaluoPG" y la tabla debe tener widgetVar="detallesAvaluoDTWV"

2. las páginas en las que se crean o modifican los diferentes tipos de detalles deben tener un
    panelGrid inicial con id="crearModificarDetalleAvaluoPG" 

-->

<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    template="/templates/generalCU.xhtml"
    >

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Administrar detalles de avalúo::.
    </ui:define>

    <ui:define name="content">

        <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
                type="text/javascript" />


        <p:messages id="administrarDetallesAvaluoMsgs" showDetail="false" />


        <p:outputPanel layout="block" style="text-align: center">
            <h:panelGrid columns="2" width="80%">
                <h:outputLabel value="Sec. radicado:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="fixme SEC"
                    styleClass="outputTextStyle" />
            </h:panelGrid>
        </p:outputPanel>

        <p:spacer height="5" width="0" />

        <h:panelGrid columns="4" width="80%">
            <h:outputLabel value="Departamento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />


            <h:outputLabel value="Municipio:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />


        </h:panelGrid>

        <p:spacer height="5" width="0" />


        <h:panelGrid columns="4" width="80%"
                     rendered="#{administracionDetallesAvaluo.tipoDetalleAvaluo eq 5}">

            <h:outputLabel value="Número predial:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Dirección predio:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Área en hectáreas:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Área en metros cuadrados:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />

            <h:outputText value=" "/>
            <h:outputText value=" "/>
            <h:outputLabel value="Valor total terreno:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="fixme"
                styleClass="outputTextStyle" />
        </h:panelGrid>


        <p:spacer height="20" width="0" />

        <h:form id="administracionDetallesAvaluoForm">

            <p:outputPanel layout="block" style="text-align: right"
                           rendered="#{administracionDetallesAvaluo.muestraBotonesAccion}">

                <h:panelGrid columns="1">
                    <p:commandButton
                        value="#{administracionDetallesAvaluo.valorBotonNuevoDetalle}"
                        label="Registro nuevo detalle de avalúo"
                        action="#{administracionDetallesAvaluo.registrarNuevoDetalleAvaluoInit}"
                        oncomplete="crearModificarDetalleAvaluoWV.show();"
                        update=":administrarDetallesAvaluoMsgs,
                        :crearModificarDetalleAvaluoPG"
                        />

                    <p:commandButton
                        value="Cargar desde archivo"
                        onclick="alert('falta integrar con el CU que carga desde archivo')"/>

                    <p:commandButton
                        value="Bajar formato de archivo"
                        onclick="alert(':( ups ')"/>
                </h:panelGrid>

            </p:outputPanel>


            <p:spacer height="30" width="0" />


            <ui:include src="#{administracionDetallesAvaluo.paginaTablaDetalles}" />

            <p:spacer height="10" width="0" />

            <p:outputPanel layout="block" style="text-align: left"
                           rendered="#{administracionDetallesAvaluo.muestraBotonesAccion}">
                <p:commandButton
                    value="Modificar"
                    label="Modificar el detalle del avalúo"
                    icon="ui-icon-wrench"
                    onclick="if (detallesAvaluoDTWV.selection.length == 0) {
                                alert('Debe seleccionar un elemento para modificar');
                                return false;
                            }"
                    action="#{administracionDetallesAvaluo.modificarNuevoDetalleAvaluoInit}"
                    oncomplete="crearModificarDetalleAvaluoWV.show();"
                    update=":administrarDetallesAvaluoMsgs"
                    />
                <p:spacer width="10" height="0" />

                <p:commandButton
                    value="Eliminar"
                    label="Eliminar el detalle del avalúo"
                    icon="ui-icon-scissors"
                    onclick="if (detallesAvaluoDTWV.selection.length == 0) {
                                alert('Debe seleccionar un elemento para eliminar');
                                return false;
                            }"
                    action="#{administracionDetallesAvaluo.eliminarDetalleAvaluo}"
                    update=":administrarDetallesAvaluoMsgs, :administracionDetallesAvaluoForm:detallesAvaluoPG"
                    />

            </p:outputPanel>




        </h:form>



        <!-- .......................   dialogs  ................. -->

        <p:dialog
            widgetVar="crearModificarDetalleAvaluoWV"
            header="Registrar o modificar"
            appendToBody="true" closable="true" minimizable="false"
            dynamic="true" modal="true"
            width="#{administracionDetallesAvaluo.anchoVentanaNuevoDetalle}" height="400">
            <ui:include
                src="#{administracionDetallesAvaluo.paginaCrearModificarDetalle}" >
                <ui:param name="widgetVarNameParam"
                          value="crearModificarDetalleAvaluoWV" />
                <ui:param name="idsComponentsToUpdateParam"
                          value=":administracionDetallesAvaluoForm:detallesAvaluoPG" />
            </ui:include>
        </p:dialog>


    </ui:define>

</ui:composition>
